For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • POSTCreate Order Without CompanyID
              • GETGet Company Orders
              • POSTCreate An Order
              • PUTUpdate Company Order With BC OrderId
              • POSTUpdate BC Order's 'Company attribute'
              • PUTUpdate B2BE User's Orders' company attribute.
              • GETGet Orders Images
              • GETGet Company By BC OrderId
              • GETGet Company Id By Order Id
              • GETGet Order Detail
              • GETGet Order Product
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APIOrder

Update BC Order's 'Company attribute'

Deprecated
POST
https://api-b2b.bigcommerce.com/api/v2/io/orders/company
POST
/api/v2/io/orders/company
$curl -X POST https://api-b2b.bigcommerce.com/api/v2/io/orders/company \
> -H "authToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "customerID": "123456"
>}'
1{
2 "code": 200,
3 "data": {},
4 "message": "Success"
5}

Add Company identifier for BigCommerce Customer Individual Orders, which can be used to convert BigCommerce Customer Individual Orders to Company-level Orders.

Was this page helpful?
Previous

Update Company Order With BC OrderId

Next

Update B2BE User's Orders' company attribute.

Built with

Authentication

authTokenstring
API Key authentication via header

Headers

authTokenstringRequired
Auth token in header.

Request

Request body
customerIDstringRequired
BigCommerce user id.

Response

Response Success
codedouble
Response status code
dataobject
Response data
messagestring
Response message

Errors

400
Bad Request Error